山本です。

>とりあえずは tcltklib と tk とのマージがなされていない 1.8 の方で
>試すことはできますか?
>1.8 と 1.9 の tcltklib は同一のものですので.

ext/tk/sample は動いたのですが、http://www.dumbo.ai.kyutech.ac.jp/~nagai/RubyTk-seminar-20041211.tar.gz
の tktestmultiwin.rb などが落ちるようになりました。(これは最初に落ちてたやつです)

tcltklib.c (ip_free) 3400行目

                Tcl_Eval(ptr->ip, finalize_hook_name);

で落ちているようです。個人的にはもう、このままでいいような気もします。原因がわかるまでは。

# 1.8はインストールしないと試せないのがつらい・・・